Name:          certbot-apache
Version:       0.20.0
Release:       %mkrel 1
Summary:       The apache plugin for certbot
License:       ASL 2.0
Group:         Development/Python
URL:           https://pypi.python.org/pypi/certbot-apache
Source0:       https://files.pythonhosted.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: python3-devel

#For running tests
BuildRequires: certbot = %{version}
BuildRequires: python3-augeas
BuildRequires: pkgconfig(augeas)

Requires:      apache-mod_ssl
Requires:      certbot = %{version}

%description
Plugin for certbot that allows for automatic configuration of apache.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_apache
%{python3_sitelib}/certbot_apache-%{version}*.egg-info


%changelog
* Tue Dec 12 2017 mitya <mitya> 0.20.0-1.mga6
+ Revision: 1182280
- Update to 0.20.0

* Sun May 28 2017 daviddavid <daviddavid> 0.14.2-2.mga6
+ Revision: 1105322
- relax python3-augeas requirement

* Sat May 27 2017 mitya <mitya> 0.14.2-1.mga6
+ Revision: 1105150
- New version 0.14.2

* Wed May 24 2017 mitya <mitya> 0.14.1-1.mga6
+ Revision: 1104452
- rename python-certbot-apache -> certbot-apache
- Mageify
- python-certbot-apache -> certbot-apache
- imported package python-certbot-apache

